﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Application.Models
{
    public class BusinessTripExpensesDto : EntityDto
    {
        public decimal? TicketCost{ get; set; }
        public decimal? TransportationCost { get; set; }
        public decimal? AccommodationCost { get; set; }
        public decimal? OtherCost { get; set; }
        public decimal? TotalCost { get; set; }
        //public OrderAttachmentDto? TicketAttachment { get; set; }
        //public OrderAttachmentDto? TransportationAttachment { get; set; }
        //public OrderAttachmentDto? AccommodationAttachment { get; set; }
        public List<OrderAttachmentDto>? Attachments { get; set; }


    }
}
