﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Application.Models
{
    public class OrderRequestHRDto : EntityDto
    {
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public int OrderTypeId { get; set; }
        public int? LeaveTypeId { get; set; }
        public string? RequestComments { get; set; }
        public ApprovalStatusEnum OrderStatus { get; set; }
        public string? OrderTypeName { get; set; }
        public string? LeaveTypeName { get; set; }

    }
}
