﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Application.Models
{
    public class EmployeeInfoDto
    {
        public string? Id { get; set; }
       
        public string FirstName { get; set; }
        public DateTime DateOfBirth { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }
        public string? FavoriteName { get; set; }
        public string PhoneNumber { get; set; }
        public UserTypeEnum UserType { get; set; }
        //------------Education
        public string? Position { get; set; }
        public string? QualificationName { get; set; }
        public string? UniversityName { get; set; }
        public string? JobTitleName { get; set; }
        public string? IndustryName { get; set; }

        public long? CompanyId { get; set; }
        //-------------------Attachments
        public string? ProfileImagePath { get; set; }
        public IFormFile? ProfileImage { get; set; }
        public IFormFile? CVAttach { get; set; }
        public IFormFile? ExperienceCertificateAttach { get; set; }
        public IFormFile? ProfCertificateAttach { get; set; }
        //------------------------Address
        public EmployeeAddressDto? UserAddress { get; set; }


    }
}
