﻿using Microsoft.AspNetCore.Http;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace MTWorkHR.Application.Models
{
    public class JobInterviewDto : EntityDto
    {
        [Required]
        public string Email { get; set; }
        public string UserId { get; set; }
        public DateTime InterviewDate { get; set; }
        public string? InterviewTime { get; set; }
       
        [MaxLength(250)]
        public string? InterviewLink { get; set; }
        public bool? SendByMail { get; set; }
        
    }
}
