﻿using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Global;
using System.ComponentModel.DataAnnotations;

namespace MTWorkHR.Application.Models
{
    public class UserTaskDto : EntityDto
    {
        public string AssignedUserId { get; set; }
        public string? AssignedUserName { get; set; }
        public string? ProfileImage { get; set; }
        [Required]
        public string Title { get; set; }
        public string Description { get; set; }
        public DateTime DueDate { get; set; }
        public PriorityEnum? Priority { get; set; }
        [Required]
        public int ProjectId { get; set; }
        [Required]
        public long StatusId { get; set; }
   //     public List<string>? TaskUserIds { get; set; }
        public List<AttachmentDto>? TaskAttachments { get; set; }
        public List<UserTaskHistoryDto>? TaskHistories { get; set; }
     //   public List<TaskUserDto>? TaskUsers { get; set; }
        public string? CreateUser { get; set; }

    }
}
