﻿using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using MTWorkHR.Core.Entities.User;

namespace MTWorkHR.Core.Entities
{
    public class BusinessTripAttachment : AuditEntity
    {
        public long BusinessTripExpensesId { get; set; }

        [ForeignKey("BusinessTripExpensesId ")]
        public BusinessTripExpenses BusinessTripExpenses { get; set; }

        [MaxLength(250)]
        public string? FileName { get; set; }

        [MaxLength(250)]
        public string? OriginalName { get; set; }

        public string? FilePath { get; set; }
        public string? ContentType { get; set; }
    }
}
