﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities.User;

namespace MTWorkHR.Core.Entities
{
    public class OverTimeDay : Entity
    {
        public long? OrderRequestId { get; set; }

        [ForeignKey("OrderRequestId")]
        public OrderRequest OrderRequest { get; set; }
        public DateTime? OverTimeDate{ get; set; }
        public string? StartTime { get; set; }
        public string? EndTime { get; set; }
        public decimal? TotalHours { get; set; }
        public string? OverTimeDetail { get; set; }
        public OverTimeDayAttachment? OverTimeAttachment { get; set; }
    }
}
