﻿using MTWorkHR.Core.Entities.Base;
using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;
using MTWorkHR.Core.Entities.User;

namespace MTWorkHR.Core.Entities
{
    public class OverTimeDayAttachment : AuditEntity
    {
        public long OverTimeDayId { get; set; }

        [ForeignKey("OverTimeDayId")]
        public OverTimeDay OverTimeDay { get; set; }

        [MaxLength(250)]
        public string? FileName { get; set; }

        [MaxLength(250)]
        public string? OriginalName { get; set; }

        public string? FilePath { get; set; }
        public string? ContentType { get; set; }
    }
}
