﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class City : Entity
    {
        [Required]
        [MaxLength(250)]
        [Filter]
        public string NameAr { get; set; }
        [Required]
        [MaxLength(250)]
        [Filter]
        public string NameEn { get; set; }
        public string NameFr { get; set; }
        public long CountryId { get; set; }
        [ForeignKey("CountryId")]
        public CountryLookup? Country { get; set; }
        public string Code { get; set; }
    }
}
