﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class altrPermissionGet : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.InsertData(
                table: "RolePermissions",
                columns: new[] { "Id", "PermissionId", "PermissionName", "RoleId" },
                values: new object[,]
                {
                    { 17L, 17L, "Company", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 20L, 22L, "User", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 65L, 17L, "Company", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 68L, 22L, "User", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 17L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 20L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 65L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 68L);
        }
    }
}
