﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class altrOrderTypeConfig : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "OrderTypes",
                keyColumn: "Id",
                keyValue: 5L);

            migrationBuilder.UpdateData(
                table: "OrderTypes",
                keyColumn: "Id",
                keyValue: 2L,
                columns: new[] { "DefaultDays", "NameAr", "NameEn" },
                values: new object[] { 20, "وقت إضافي", "Overtime" });

            migrationBuilder.UpdateData(
                table: "OrderTypes",
                keyColumn: "Id",
                keyValue: 3L,
                columns: new[] { "DefaultDays", "NameAr", "NameEn" },
                values: new object[] { 0, "رحلة عمل", "Business trip" });

            migrationBuilder.UpdateData(
                table: "OrderTypes",
                keyColumn: "Id",
                keyValue: 4L,
                columns: new[] { "NameAr", "NameEn" },
                values: new object[] { "دورة تدريبية", "Course" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.UpdateData(
                table: "OrderTypes",
                keyColumn: "Id",
                keyValue: 2L,
                columns: new[] { "DefaultDays", "NameAr", "NameEn" },
                values: new object[] { 15, "طبية", "Medical" });

            migrationBuilder.UpdateData(
                table: "OrderTypes",
                keyColumn: "Id",
                keyValue: 3L,
                columns: new[] { "DefaultDays", "NameAr", "NameEn" },
                values: new object[] { 20, "وقت إضافي", "Overtime" });

            migrationBuilder.UpdateData(
                table: "OrderTypes",
                keyColumn: "Id",
                keyValue: 4L,
                columns: new[] { "NameAr", "NameEn" },
                values: new object[] { "رحلة عمل", "Business trip" });

            migrationBuilder.InsertData(
                table: "OrderTypes",
                columns: new[] { "Id", "DefaultDays", "NameAr", "NameEn" },
                values: new object[] { 5L, 0, "دورة تدريبية", "Course" });
        }
    }
}
