﻿using Microsoft.EntityFrameworkCore;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IDto;
using MTWorkHR.Core.IRepositories;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Infrastructure.DBContext;

namespace MTWorkHR.Infrastructure.Repositories
{
    public class JobInterviewRepository : Repository<JobInterview>, IJobInterviewRepository
    {
        private readonly DbSet<JobInterview> dbSet;
        public JobInterviewRepository(HRDataContext context) : base(context)
        {
            dbSet = context.Set<JobInterview>();
        }
       
    }
}
