﻿using Microsoft.EntityFrameworkCore;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IDto;
using MTWorkHR.Core.IRepositories;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Infrastructure.DBContext;

namespace MTWorkHR.Infrastructure.Repositories
{
    public class OrderTypeRepository : Repository<OrderType>, IOrderTypeRepository
    {
        private readonly DbSet<OrderType> dbSet;
        public OrderTypeRepository(HRDataContext context) : base(context)
        {
            dbSet = context.Set<OrderType>();
        }
        
    }
}
