﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Application.Models;
using MTWorkHR.Core.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Application.Models
{
    public class OrderAllocationDto : EntityDto
    {
        public int? NumberOfDays { get; set; }
        public long ContractId { get; set; }
        public int OrderTypeId { get; set; }
        public string? EmployeeId { get; set; }
        public int? LeaveTypeId { get; set; }
        public int? Period { get; set; }
        public OrderTypeDto? OrderType { get; set; }
        public Employee? Employee { get; set; }
        public LeaveTypeDto? LeaveType { get; set; }
    
    }
}
