﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using MTWorkHR.Core.Global;

namespace MTWorkHR.Application.Models
{
    public class OrderRequestDto : EntityDto
    {
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public string? RequestingEmployeeId { get; set; }
        public int OrderTypeId { get; set; }
        public int? LeaveTypeId { get; set; }
        public string? RequestTitle { get; set; }
        public string? RequestComments { get; set; }
        public ApprovalStatusEnum? OrderStatus { get; set; }
 
        public OrderTypeDto? OrderType { get; set; }
        public LeaveTypeDto? LeaveType { get; set; }
        public EmployeeDto? Employee { get; set; }
       
        public long ContractId { get; set; }
        public decimal? CourseNumberOfHours { get; set; }//Course hours
        public decimal? CourseCost { get; set; }
        public decimal? TotalDays { get; set; }

        public List<OrderAttachmentDto>? OrderAttachments { get; set; }
        public DateTime? CreateDate { get; set; }
    }
}
