﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;
using Newtonsoft.Json;

namespace MTWorkHR.Application.Models
{
    public class ContractAllowanceDto : EntityDto
    {

        public long ContractId{ get; set; }
        [Required]
        public long AllowanceType { get; set; }
        public string? AllowanceDesc { get; set; }
        [JsonProperty(Required = Required.AllowNull)]
        public decimal? EntitlementPercent { get; set; } = 0;// اختيار (مبلغ – يكتب المبلغ)    أو  (نسبة من الراتب – ويظهر المبلغ توماتك)      
        public decimal? EntitlementAmount { get; set; } = 0;
        public string? PaymentType { get; set; } // PaymentTypeEnum

    }
}
