﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities.User;

namespace MTWorkHR.Core.Entities
{ 
    public class BusinessTripExpenses : Entity
    {
        public long? OrderRequestId { get; set; }

        [ForeignKey("OrderRequestId")]
        public OrderRequest OrderRequest { get; set; }
        public decimal? TicketCost{ get; set; }
        public decimal? TransportationCost { get; set; }
        public decimal? AccommodationCost { get; set; }
        public decimal? OtherCost { get; set; }
        public decimal? TotalCost { get; set; }
        public List<BusinessTripAttachment> Attachments { get; set; } = new List<BusinessTripAttachment>();

    }
}
