﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class ChatMessage : AuditEntity
    {

        public string SenderId{ get; set; }
        public string SenderName { get; set; }
        public string ReceiverId { get; set; }
        public string ReceiverName { get; set; }
        public string Content{ get; set; }
        public bool IsSeen { get; set; }
        public List<ChatAttachment>? ChatAttachments { get; set; }


    }
}
