﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;

namespace MTWorkHR.Core.Entities
{
    public class JobInterview : FullAuditEntity, IHaveCompany
    {
        public long CompanyId { get; set; }
        public string UserId { get; set; }
        public string Email { get; set; }
        public DateTime InterviewDate { get; set; }
        public string? InterviewTime { get; set; }

        [MaxLength(250)]
        public string? InterviewLink { get; set; }
        public bool? SendByMail { get; set; }
    }
}
