﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace MTWorkHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class altrEmployeePermission : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.InsertData(
                table: "RolePermissions",
                columns: new[] { "Id", "PermissionId", "PermissionName", "RoleId" },
                values: new object[,]
                {
                    { 22L, 24L, "User.Update", "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E" },
                    { 69L, 23L, "User.Create", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" },
                    { 70L, 24L, "User.Update", "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R" }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 22L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 69L);

            migrationBuilder.DeleteData(
                table: "RolePermissions",
                keyColumn: "Id",
                keyValue: 70L);
        }
    }
}
